@import '../../node_modules/bulma/css/bulma.css';

@font-face {
    font-family: Railway;
    src: url('../fonts/Railway/Raleway-Regular.ttf');
    }

    @font-face {
        font-family: Cairo;
        src: url('../fonts/Cairo/Cairo-Regular.ttf');
        }
*{
    user-select: none;
    cursor: default;

}

body{
    min-height: 100vh;
   position: relative;
   font-family: 'Cairo';
   padding: 0;
   margin: 0;
   overflow: hidden;
}

body .transbg{
    background-image: url(../images/seamless.png) !important ;
    opacity: 0.10;
    position: fixed;
    top:0;
    bottom: 0;
    left:0;
    right: 0;
    z-index: -1;
}

.index .hero{
    margin-bottom: 1rem;
    background-image: url(../icons/png/128x128.png) !important ;
    background-repeat: no-repeat;
    
    background-color: #135987;
    min-height: 2vh;
    background-position: center center;
       
}

.index .hero.isup{
    min-height: 2vh;
    background-position: 2rem center;
    background-image: url(../icons/png/128x128.png) !important ;
}

.index .hero.isup .container{
    opacity: 1;
}

.index .hero.isup .hero-body .version{
    left:96%;
        top:70%;
        opacity: 0.15;
}

.index .hero-body{
    padding: 2rem !important;
    position: relative;
}
.index .hero .hero-body .version{
    position: absolute;
    top:67%;
    left:50%;
    transform: translate(-50%, -40%);
    opacity: 1;
    color: #ccc;
    font-style: italic;
    text-align: right;
}

.index .hero.slideup .hero-body .version{
    animation-duration: 1s;
    animation-name: slideLeft;
    animation-direction: normal;
    animation-fill-mode: forwards;
}
.index .hero-body .container{
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%, -50%);
    height: 150px;
    opacity: 0;
}

.index .hero.slideup .hero-body .container{
    animation-duration: 1s;
    animation-name: fadein;
    animation-direction: normal;
    animation-fill-mode: forwards;
}

.index .hero.slideup{
    animation-duration: 1s;
    animation-name: slideup;
    animation-direction: normal;
    animation-fill-mode: forwards;
}
@keyframes slideup{
    from{
        min-height: 100vh;
        background-position: center center;

    }

    to{
        min-height: 2vh;
        background-position: 2rem center;
        background-image: url(../icons/png/64x64.png) !important ;
    }
}

@keyframes fadein{
    from{
        opacity: 0
    }

    to{
        opacity:1
    }
}

@keyframes slideLeft{
    from{
       left:50%;
       opacity: 1;
    }

    to{
        left:96%;
        top:70%;
        opacity: 0.15;
    }
}
.index li{
    position: relative;
}
.index .columns{
    margin: 0.2rem 0.2rem 0 0.2rem;
    font-size: 0.8rem;
}
.index .columns div div{
    font-style: italic;
    color: #999;
}
.index .delete{
    margin-top: -1.5rem
}

.index .button{
    margin-right: 2rem;
    margin-top: -1rem
}
.index h2{
   margin-top: 4rem;
   text-align: center;
}
.index h3{
    color:#cfcfcf;
    display: none;
}
.index a{
    display: block;
}
.index span{
    color:green;
}

.index .box{
    background-color: transparent;
}

.index .loading {
    width: 100%;
    height: 100%;
    top:0;
    left:0;
    right:0;
    bottom:0;
    position: absolute;
    margin: 0 auto;
    border-radius: 6px;
    display:none;
    text-align: left;
    color: #000;
    background:  url(../images/loading.gif) no-repeat center center fixed; 
    z-index: -1;
    padding-left: 1.25rem;
  }

  .index #dropOverlay{
      position: fixed;
      z-index: 1000;
      top:0;
      bottom:0;
      left:0;
      right:0;
      background-color: rgba(127,127,127,0.85);
      display: none;
      border: 5px dashed #333;
  }
  .index #dropOverlay span{
      position: absolute;
      top:50%;
      left:50%;
      transform: translate(-50%, -50%);
      font-size: 2em;
      color: #333;
      width:100%;
      text-align:  center;
      user-select: none;
      pointer-events: none;
      font-style: italic;
  }

  .index #dropPlaceholder{
      height: 85%;
      border: 2px dashed #cfcfcf;
      box-sizing: border-box;
     
      position: absolute;
      top:55%;
      left:50%;
      transform: translate(-50%, -50%);
      background-color: #fff;
      width: 95%;
      z-index: -1;
  }

  .index #dropPlaceholder div{
    text-align: center;
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%, -50%);
    width: 100%;
    color: #cfcfcf;
    font-style: italic;
    font-size: 2em;
    padding: 1rem;
  }

 
  
  .options{padding: 1rem}

  .options fieldset{
      padding: 1rem;
      border: 1px dashed #cfcfcf;
      background-color: #fff;
  }

  .options #options label{
     min-width: 200px;
     display: inline-block;
     margin-right: 1rem;
     text-align: right;
  }

  .options #options #compressionOptions .select{
    margin-bottom: 1rem;
 }
  

  .about .content{
      padding: 1rem;
  }

  .about {
      text-align: justify;
      text-align-last: left;

  }